try:
    from classUwuCounter import UwuCounter
    from databaseMethods import create_user
except:
    from .classUwuCounter import UwuCounter
    from .databaseMethods import create_user
from flask import Flask, Response
from flask_login import LoginManager, UserMixin, login_required


class User(UserMixin):
    # proxy for a database of users
    user_database = {"JohnDoe": ("JohnDoe", "John", UwuCounter(0)),
                     "JaneDoe": ("JaneDoe", "Jane", UwuCounter(10)),
                     "admin": ("admin", "admin", UwuCounter(100))}

    def __init__(self, username, password, initialCount=UwuCounter(0)):
        self.id = username
        self.password = password
        self.count = UwuCounter(initialCount)
        create_user(0, username, password, 0)

    @classmethod
    def get(cls, id):
        return cls.user_database.get(id)